Skip to navigation

Changed

  • Ats Offers → Retrieve a list of ATS offers: Added expires_at, replied_at, custom_fields, additional_details, compensation_period_slug, and offer_letter_template_id fields to the response, and added EXPIRED to offer_status and PWAC to worker_type allowed values.

  • Ats Jobs → Create ATS Job: Added work_arrangement_enum in the request that specifies the work arrangement of the job.

  • Ats Jobs → Retrieve a list of ATS jobs: Added work_arrangements query parameter for filtering jobs by work arrangement, and added work_arrangement_enum field to the response indicating the work arrangement of each job.

  • Ats → Retrieve ATS Application form: Added title as a guaranteed response field in options items within form questions, confirming that option display text is always present.

  • Ats Job Postings → Retrieve ATS job posting: Added job_id to the response that identifies the underlying job this posting belongs to.

  • Ats Job Postings → Retrieve ATS job postings: Removed maxLength and minLength constraints on response fields team.name, currency_iso_code, location.name, and application_form.title.

  • Ats Job Postings → Retrieve a list of ATS job postings: Added job_id to the response that identifies the underlying job this posting belongs to.

  • Ats Candidates → Retrieve paginated list of ATS Candidates: Added source, imported_id, anonymized_at, and import_session_id fields to the response.

  • Ats Candidates → Create candidate tags: Added required guarantees for id, tag_id, created_at, and candidate_id fields in the response, confirming these fields are always present in the returned candidate-tag associations.

  • Ats Applications → Retrieve ATS application: Removed the minimum value constraint from group_id in the automation rule evaluation result response.